> ## Documentation Index
> Fetch the complete documentation index at: https://docs.animusai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a generation

> Remove a generation record and its associated media.



## OpenAPI

````yaml api-reference/openapi.json delete /generation/generations/{generation_id}
openapi: 3.1.0
info:
  version: 2.0.0
  title: Animus API
  description: >-
    Animus' API provides you with a variety of AI-driven capabilities. From
    generating text with our advanced large language models to creating
    customized content schedules, our API's applications are vast and versatile.

    Whether it's facilitating seamless conversation through predictive response
    or simulating a comprehensive content calendar, our advanced functionalities
    can cater to an array of feature requirements.
servers:
  - url: https://api.animusai.co/v2
security: []
paths:
  /generation/generations/{generation_id}:
    delete:
      tags:
        - Generation
      summary: Delete a generation
      description: Remove a generation record and its associated media.
      operationId: deleteGeneration
      parameters:
        - name: generation_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Generation deleted.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenerationDeletionResponse'
        '404':
          description: Generation not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    GenerationDeletionResponse:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        generation_id:
          type: string
        group_id:
          type: string
        deleted_images:
          type: integer
        failed_deletions:
          type: integer
        details:
          type: object
          properties:
            deleted_image_urls:
              type: array
              items:
                type: string
                format: uri
            failed_deletion_urls:
              type: array
              items:
                type: string
                format: uri
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Short error identifier.
        message:
          type: string
          description: Human readable error description.
        character_id:
          type: string
          description: Character that triggered the error, when relevant.
        group_id:
          type: string
          description: Group that triggered the error, when relevant.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````